/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Bookwyrm.
 *
 * The Initial Developer of the Original Code is
 * M. Damian Dollahite.
 * Portions created by the Initial Developer are Copyright (C) 2005
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   M.D. Dollahite (master.ryukage@gmail.com)
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the NPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

// Globals
var gStorylist;

// Initialize Sort Dialog
function initDialog()
{
    gStorylist = window.arguments[0];
    initRadios();
}

function initRadios()
{
    var sort1 = document.getElementById("sort1-field");
    var radio1 = document.getElementById("sort1-" + gStorylist.sortField);

    var sort2 = document.getElementById("sort2-field");
    var radio2 = document.getElementById("sort2-" + gStorylist.sortField2);

    var sortD = document.getElementById("sort-direction");
    var radioD = document.getElementById("sort-" + gStorylist.sortDirection);
    
    sort1.selectedItem = radio1;
    sort2.selectedItem = radio2;
    sortD.selectedItem = radioD;
}

// Apply changes made
function applyChanges()
{
    var sort1 = document.getElementById("sort1-field");
    var field1 = sort1.selectedItem.value;

    var sort2 = document.getElementById("sort2-field");
    var field2 = sort2.selectedItem.value;

    var sortD = document.getElementById("sort-direction");
    var dir = sortD.selectedItem.value;

    gStorylist.sortField = field1;
    gStorylist.sortField2 = field2;
    gStorylist.sortDirection = dir;

    return true;
}

function onClose()
{
    gStorylist = null;
    return true;
}

